Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class AdventureGameUtilities

    java.lang.Object
      com.huguesjohnson.tiamat.AdventureGameUtilities

    public abstract class AdventureGameUtilities

extends java.lang.Object

AdventureGameUtilities - abstract class containing utility (public static) functions used by an adventure style game.

Author:
  Hugues Johnson

Constructor Summary
`AdventureGameUtilities()`

Method Summary
`static java.lang.String` | `createGameInProgressDataDirectory(java.lang.String basePath)` Creates a directory for a new game.
`static void` | `saveGame(java.lang.String sourcePath, java.lang.String destinationFilePath)` Saves a game.
`static void` | `unpackSavedGame(java.lang.String sourceFilePath, java.lang.String destinationPath)` Unpacks a saved game to a folder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdventureGameUtilities

    public AdventureGameUtilities()

Method Detail

### createGameInProgressDataDirectory

    public static final java.lang.String createGameInProgressDataDirectory(java.lang.String basePath)

  Creates a directory for a new game.

  Parameters:
    `basePath` - Path to source game state files.
  Returns:
    Path to the directory that was created.

### saveGame

    public static final void saveGame(java.lang.String sourcePath,
                                      java.lang.String destinationFilePath)

  Saves a game.

  Parameters:
    `sourcePath` - The path to the directory containing the game files to save.
    `destinationFilePath` - The path to the file to create. TODO ISSUE.. WITH THIS WE CAN ONLY SAVE ONE LEVEL DEEP TODO SAVING MAY TAKE A WHILE.. CONSIDER ADDING PROGRESS

### unpackSavedGame

    public static final void unpackSavedGame(java.lang.String sourceFilePath,
                                             java.lang.String destinationPath)

  Unpacks a saved game to a folder.

  Parameters:
    `sourceFilePath` - The source file to unpack.
    `destinationPath` - The path to the destination directory. TODO NEED SOME ERROR HANDLING IF A BAD SAVE FILE IS OPENED

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson